Package oasis.names.tc.dss._1_0.core.schema

# Class Property

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.Property

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Property extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Identifier" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="Value" type="{urn:oasis:names:tc:dss:1.0:core:schema}AnyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Property()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIdentifier()`
  Gets the value of the identifier property.
  `AnyType`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setIdentifier(String value)`
  Sets the value of the identifier property.
  `void`
  `setValue(AnyType value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Property

    public Property()

- ## Method Details

  - ### getIdentifier

    public String getIdentifier()
    Gets the value of the identifier property.
    Returns:
      possible object is `String`

  - ### setIdentifier

    public void setIdentifier(String value)
    Sets the value of the identifier property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public AnyType getValue()
    Gets the value of the value property.
    Returns:
      possible object is `AnyType`

  - ### setValue

    public void setValue(AnyType value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `AnyType`